依赖包bcrypt安装Issues

在决策树项目中,使用到了bcrypt依赖包来加密文件。在wini8(win7)部署安装这个依赖的时候容易出现出现了问题。


  1. 解决方法:安装Visual Studio 2012 Express或以上版本

    这个一般是当报错出现了c++、.cc、msbuild、找不到Microsoft.Cpp.Default.props之类的错误,一般都归于系统的MVSC的问题,我们需要安装c++的环境。

    进入微软官网下载来安装Visual Studio 2012 Express

  2. 其他错误
    bcrypt的安装需要Python、Visual Studio、Windows SDK、Win64 OpenSSL。Python在安装nodejs时就已经安装了。OpenSSL在高于0.7.的bcrypt也不再需要自己安装(决策树的版本为0.7.8),我们可以输入npm install bcrypt@lastest来确保安装的版本为最新版。其他的错误可能就出在Windows环境下的c++环境上了,比如Win7/8的SDK安装。


参考

  1. stackoverflow
  2. bcrypt的issues